aboutsummaryrefslogtreecommitdiffstats
path: root/testing/py-feedformatter
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-09-10 10:15:34 +0000
committerFabian Affolter <fabian@affolter-engineering.ch>2013-09-30 10:59:08 +0000
commit3cba2643009a9a2e1ce065e4d0bbfbb1ed48a720 (patch)
tree79897a76490bfad5455163365114cc0c986789f8 /testing/py-feedformatter
parenteec73303ce9ef148349a277e3678214af9170377 (diff)
downloadaports-3cba2643009a9a2e1ce065e4d0bbfbb1ed48a720.tar.gz
aports-3cba2643009a9a2e1ce065e4d0bbfbb1ed48a720.tar.bz2
aports-3cba2643009a9a2e1ce065e4d0bbfbb1ed48a720.tar.xz
testing/py-feedformatter: new aport
A Python library for generating news feeds in RSS and Atom formats http://code.google.com/p/feedformatter/
Diffstat (limited to 'testing/py-feedformatter')
-rw-r--r--testing/py-feedformatter/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/py-feedformatter/APKBUILD b/testing/py-feedformatter/APKBUILD
new file mode 100644
index 0000000000..88605471f2
--- /dev/null
+++ b/testing/py-feedformatter/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=py-feedformatter
+_pkgname=feedformatter
+pkgver=0.4
+pkgrel=0
+pkgdesc="A Python library for generating news feeds in RSS and Atom formats"
+url="http://code.google.com/p/feedformatter/"
+arch="noarch"
+license="BSD"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="a85baeb694ad0a7e5b52048ea6c15307 feedformatter-0.4.tar.gz"
+sha256sums="af41acb493092b8bb272e38de2e57e5ce4ad3b0a7d8b3fced49042aea9959f9d feedformatter-0.4.tar.gz"
+sha512sums="4e80cc2cc084dd05ab710e5323f29041df7b35d83266ff65c0cbb103e7831205715a6ba1a049874356c90bb899443ff6c396e785801bbebb793cc71f260ada37 feedformatter-0.4.tar.gz"